Extending Qt Creator Manual | WatchesSymbolGroup

Extending Qt Creator Manual 4.3.0

# WatchesSymbolGroup Class

The WatchesSymbolGroup class creates a watch symbol group. More...

Header: | #include <WatchesSymbolGroup>
Inherits: | SymbolGroup

- List of all members, including inherited members

## Public Types

typedef | InameExpressionMap

## Public Functions

bool | addWatch(CIDebugSymbols *s, std::string iname, const std::string &expression, std::string *errorMessage)
bool | synchronize(CIDebugSymbols *s, const InameExpressionMap &m, std::string *errorMessage)

- 18 public functions inherited from SymbolGroup

## Static Public Members

WatchesSymbolGroup * | create(CIDebugSymbols *, std::string *errorMessage)
std::string | fixWatchExpression(CIDebugSymbols *s, const std::string &ex)
bool | isWatchIname(const std::string &iname)

- 1 static public member inherited from SymbolGroup

### Additional Inherited Members

- 1 protected function inherited from SymbolGroup
- 1 static protected member inherited from SymbolGroup

## Detailed Description

The WatchesSymbolGroup class creates a watch symbol group.

Contains watches as added by Qt Creator as iname='watch.0', name='<expression>'. The IDebugSymbolGroup is created without scope.

## Member Type Documentation

### typedef WatchesSymbolGroup::InameExpressionMap

## Member Function Documentation

### bool WatchesSymbolGroup::addWatch(CIDebugSymbols *s, std::string iname, const std::string &expression, std::string *errorMessage)

### `[static]` WatchesSymbolGroup *WatchesSymbolGroup::create(CIDebugSymbols *, std::string *errorMessage)

### `[static]` std::string WatchesSymbolGroup::fixWatchExpression(CIDebugSymbols *s, const std::string &ex)

### `[static]` bool WatchesSymbolGroup::isWatchIname(const std::string &iname)

### bool WatchesSymbolGroup::synchronize(CIDebugSymbols *s, const InameExpressionMap &m, std::string *errorMessage)